<template>
  <q-header elevated>
    <q-toolbar class="bg-red text-white">
      <q-toolbar-title>Genesis Hospitaal</q-toolbar-title>
       <Notification></Notification>
      <q-btn-dropdown class="bg-white text-red" :label="afdelingNaam">
        <q-list>
          <q-item
            v-for="afd in afdelingen"
            :key="afd.id"
            clickable
            v-close-popup
            @click="onAfdelingClick(afd.id, afd.naam)"
          >
            <q-item-section>
              <q-item-label>{{ afd.naam }}</q-item-label>
            </q-item-section>
          </q-item>
        </q-list>
      </q-btn-dropdown>
       <q-btn flat round dense :icon="darkIcon" @click="changeDarkMode()">
      </q-btn>
      <q-btn flat round dense icon="settings_applications" @click="goToSettings()">
        <q-tooltip>Instellingen</q-tooltip>
      </q-btn>
    </q-toolbar>
  </q-header>

</template>

<style scoped>
</style>

<script>
import AfdelingService from '../services/AfdelingService'
import Notification from './Notification'
export default {
  name: 'Header',
  components: {
    Notification
  },
  data () {
    return {
      afdelingen: [],
      afdelingNaam: 'Selecteer Afdeling',
      afdelingId: Number,
      darkIcon: 'brightness_3',
      setting: Object
    }
  },
  methods: {
    onAfdelingClick: function (id, name) {
      this.afdelingId = id
      this.afdelingNaam = name
      this.$router.push({ path: `/afdeling/${id}` })
    },
    goToSettings: function () {
      this.$router.push({ path: `/settings` })
    },
    changeDarkMode: function () {
      if (this.setting.darkMode) {
        this.darkIcon = 'brightness_3'
        this.$q.dark.set(false)
        this.setting.darkMode = false
      } else {
        this.darkIcon = 'wb_sunny'
        this.$q.dark.set(true)
        this.setting.darkMode = true
      }
      this.$store.dispatch('settings/setSettings', this.setting)
    },
    async loadAfdelingen () {
      this.afdelingen = await this.afdelingService.all()
    }
  },
  created () {
    this.setting = this.$store.getters['settings/settings']

    if (this.setting.darkMode) {
      this.darkIcon = 'wb_sunny'
    } else {
      this.darkIcon = 'brightness_3'
    }
    this.afdelingService = new AfdelingService()
    this.loadAfdelingen()
  }
}

</script>
